Bug 41950 - apaqche configuration tool hangs
apaqche configuration tool hangs
Status: CLOSED DUPLICATE of bug 40004
Product: Red Hat Linux
Classification: Retired
Component: apacheconf (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Mason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-22 23:30 EDT by Eduardo Zaborowski
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-22 23:30:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Zaborowski 2001-05-22 23:30:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i586)

Description of problem:
apacheconf is not able to save a new configuration when one chooses to
allow the .htaccess files to override the directory options.


How reproducible:
Always

Steps to Reproduce:
1. Start linuxconf
2. Choose Virtual Hosts -> Edit (or Edit Default Settings)
3. Choose Edit -> Diretories -> Edit
4. Check the .htaccess button
5. The OK and Cancel buttons do not respond anymore, window is "frozen"

Actual Results:  the OK and Cancel buttons do not respond anymore, window
is "frozen"


Expected Results:  Directory Options should have been saved

Additional info:

STDERR reads:

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/apacheconf/ApacheConf.py", line 877, in
on_dir_options_edit_button_clicked
    run_dir_options_dialog (dialog)
  File "/usr/share/apacheconf/ApacheConf.py", line 846, in
run_dir_options_dialog
    dir_name = control.dehydrate_dir_options (dir_name)
  File "/usr/share/apacheconf/ApacheControl.py", line 760, in
dehydrate_dir_options
    dir.AllowOverride = Director.FROM_ALL
NameError: Director
Comment 1 Phil Knirsch 2001-05-23 08:51:04 EDT

*** This bug has been marked as a duplicate of 40004 ***

Note You need to log in before you can comment on or make changes to this bug.